| Version: 3.2.5

Public Member Functions | List of all members
wxStatusBarPane Class Reference
Class List by Category » Data Structures

`#include <wx/statusbr.h>`

## Detailed Description

A status bar pane data container used by wxStatusBar.

##

Library: wxCore
Category: Data Structures

See also
  wxStatusBar

## Public Member Functions

| wxStatusBarPane (int style=wxSB_NORMAL, int width=0)
| Constructs the pane with the given style and width. More...
int | GetWidth () const
| Returns the pane width; it maybe negative, indicating a variable-width field. More...
int | GetStyle () const
| Returns the pane style. More...
wxString | GetText () const
| Returns the text currently shown in this pane. More...

## Constructor & Destructor Documentation

## ◆ wxStatusBarPane()

wxStatusBarPane::wxStatusBarPane | ( | int | style = `wxSB_NORMAL`,
|  | int | width = `0`
| ) |  |

Constructs the pane with the given style and width.

## Member Function Documentation

## ◆ GetStyle()

int wxStatusBarPane::GetStyle | ( |  | ) | const

Returns the pane style.

## ◆ GetText()

wxString wxStatusBarPane::GetText | ( |  | ) | const

Returns the text currently shown in this pane.

## ◆ GetWidth()

int wxStatusBarPane::GetWidth | ( |  | ) | const

Returns the pane width; it maybe negative, indicating a variable-width field.